scala.xml.persistent

# SetStorage

#### class SetStorage extends CachedFileStorage

A persistent store with set semantics. This class allows to add and remove trees, but never contains two structurally equal trees.

Source
  SetStorage.scala

Linear Supertypes
CachedFileStorage, Logged, Thread, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SetStorage
2. CachedFileStorage
3. Logged
4. Thread
5. Runnable
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SetStorage(file: File)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +=(e: Node): Unit

   adds a node, setting this.

   adds a node, setting this.dirty to true as a side effect

   Definition Classes
     SetStorage → CachedFileStorage

5. #### def -=(e: Node): Unit

   removes a tree, setting this.

   removes a tree, setting this.dirty to true as a side effect

   Definition Classes
     SetStorage → CachedFileStorage

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### final def checkAccess(): Unit

   Definition Classes
     Thread

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      Thread → AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

11. #### var dirty: Boolean

    this storage modified since last modification check

    this storage modified since last modification check

    Attributes
      protected
    Definition Classes
      CachedFileStorage

12. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

15. #### def flush(): Unit

    forces writing of contents to the file, even if there has not been any update.

    forces writing of contents to the file, even if there has not been any update.

    Definition Classes
      CachedFileStorage

16. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

17. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread

18. #### def getId(): Long

    Definition Classes
      Thread

19. #### final def getName(): String

    Definition Classes
      Thread

20. #### final def getPriority(): Int

    Definition Classes
      Thread

21. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

22. #### def getState(): State

    Definition Classes
      Thread

23. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

24. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

25. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

26. #### def initialNodes: Iterator[Node]

    finds and loads the storage file.

    finds and loads the storage file. subclasses should call this method prior to any other, but only once, to obtain the initial sequence of nodes.

    Attributes
      protected
    Definition Classes
      CachedFileStorage

27. #### def interrupt(): Unit

    Definition Classes
      Thread

28. #### val interval: Int

    period between modification checks, in milliseconds

    period between modification checks, in milliseconds

    Attributes
      protected
    Definition Classes
      CachedFileStorage

29. #### final def isAlive(): Boolean

    Definition Classes
      Thread

30. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

31. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

32. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

33. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

34. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

35. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws()

36. #### def log(msg: String): Unit

    This method should log the message given as argument somewhere as a side-effect.

    This method should log the message given as argument somewhere as a side-effect.

    msg

      message to be logged

    Definition Classes
      Logged

37. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

38. #### def nodes: Iterator[Node]

    returns an iterator over the nodes in this storage

    returns an iterator over the nodes in this storage

    Definition Classes
      SetStorage → CachedFileStorage

39. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### def run(): Unit

    run method of the thread.

    run method of the thread. remember to use start() to start a thread, not run.

    Definition Classes
      CachedFileStorage → Thread → Runnable

42. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

43. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

44. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

45. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

46. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

47. #### def start(): Unit

    Definition Classes
      Thread

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Thread → AnyRef → Any

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Deprecated Value Members

1. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def destroy(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### final def stop(arg0: Throwable): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### final def suspend(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from CachedFileStorage

### Inherited from Logged

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any